(this["webpackJsonpCalendarx"] = this["webpackJsonpCalendarx"] || []).push([[3],{

/***/ 1268:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.noopCleaner = exports.createCleaner = exports.createPropCleaner = exports.createArgCleeaner = void 0;

function createArgCleeaner(fn) {
  return fn;
}

exports.createArgCleeaner = createArgCleeaner;

function createPropCleaner(mask, strict) {
  var cutQuery = strict ? new RegExp("((^|[&?])".concat(mask.source, "=)(:?[^&\\s]+)"), 'g') : new RegExp("((^|[&?])(?:[^=]*[._-])?".concat(mask.source, "(?:[._-][^=]+)?=)(:?[^&\\s]+)"), "gi");
  var prop = strict ? new RegExp("^".concat(mask.source, "$")) : new RegExp("^([a-z._-]+[._-])?".concat(mask.source, "(?:[._-][a-z._-]+)?$"), "i");

  var isProp = function isProp(key) {
    return prop.test(key);
  };

  return createArgCleeaner(function (value, xpath) {
    if (xpath.some(isProp)) {
      return '<<CUT>>';
    }

    if (typeof value === 'string') {
      return value.replace(cutQuery, '$1<<CUT>>');
    }

    return value;
  });
}

exports.createPropCleaner = createPropCleaner;

function createCleaner(items) {
  var cleanArg = function cleanArg(value, xpath) {
    if (value == null) {
      return value;
    }

    if (Array.isArray(value)) {
      return value.map(function (item, idx) {
        return cleanArg(item, xpath.concat("".concat(idx)));
      });
    }

    if (Object.prototype.toString.call(value) === '[object Object]') {
      var keys = Object.keys(value);
      return keys.reduce(function (obj, key) {
        obj[key] = cleanArg(value[key], xpath.concat(key));
        return obj;
      }, Object.create(null));
    }

    for (var i = 0; i < items.length; i++) {
      value = items[i](value, xpath);
    }

    return value;
  };

  var cleanEntry = function cleanEntry(entry) {
    return __assign(__assign({}, entry), {
      entries: entry.entries.map(cleanEntry),
      args: items.length ? cleanArg(entry.args, []) : entry.args.slice(0)
    });
  };

  return cleanEntry;
}

exports.createCleaner = createCleaner;
exports.noopCleaner = createCleaner([]);

/***/ }),

/***/ 1269:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tokenCleaner = exports.cookieCleaner = exports.emailCleaner = void 0;

var index_1 = __webpack_require__(1268);

exports.emailCleaner = (0, index_1.createPropCleaner)(/x?email/);
exports.cookieCleaner = (0, index_1.createPropCleaner)(/cookie/);
exports.tokenCleaner = (0, index_1.createPropCleaner)(/(x-)?(csrf-)?token/, true);

/***/ }),

/***/ 1270:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.saveLogAsBlob = void 0;

function saveLogAsBlob(init) {
  return new Blob([JSON.stringify({
    ts: Date.now(),
    detail: init.detail,
    logger: {
      entries: init.logger.entries().map(init.cleaner)
    }
  }, null, 2)], {
    type: 'application/json;charset=utf-8'
  });
}

exports.saveLogAsBlob = saveLogAsBlob;

/***/ }),

/***/ 1271:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultCleaners = exports.cookieCleaner = exports.tokenCleaner = exports.emailCleaner = exports.saveLogAsBlob = exports.createPropCleaner = exports.createArgCleeaner = exports.createCleaner = void 0;

var props_1 = __webpack_require__(1269);

Object.defineProperty(exports, "cookieCleaner", {
  enumerable: true,
  get: function get() {
    return props_1.cookieCleaner;
  }
});
Object.defineProperty(exports, "emailCleaner", {
  enumerable: true,
  get: function get() {
    return props_1.emailCleaner;
  }
});
Object.defineProperty(exports, "tokenCleaner", {
  enumerable: true,
  get: function get() {
    return props_1.tokenCleaner;
  }
});

var clean_1 = __webpack_require__(1268);

Object.defineProperty(exports, "createCleaner", {
  enumerable: true,
  get: function get() {
    return clean_1.createCleaner;
  }
});
Object.defineProperty(exports, "createArgCleeaner", {
  enumerable: true,
  get: function get() {
    return clean_1.createArgCleeaner;
  }
});
Object.defineProperty(exports, "createPropCleaner", {
  enumerable: true,
  get: function get() {
    return clean_1.createPropCleaner;
  }
});

var blob_1 = __webpack_require__(1270);

Object.defineProperty(exports, "saveLogAsBlob", {
  enumerable: true,
  get: function get() {
    return blob_1.saveLogAsBlob;
  }
});
exports.defaultCleaners = [props_1.emailCleaner, props_1.tokenCleaner, props_1.cookieCleaner];

/***/ })

}]);
//# sourceMappingURL=3.js.map